Qt 5.13 | Qt Core | qt5_add_resources

Qt 5.13.2 Reference Documentation

# qt5_add_resources

## Synopsis

      qt5_add_resources(<VAR> file1.qrc [file2.qrc ...]
                        [OPTIONS ...])

## Description

Creates source code from Qt resource files using the Resource Compiler (rcc). Paths to the generated source files are added to `<VAR>`.

Note: This is a low-level macro. See the CMake AUTORCC Documentation for a more convenient way to let Qt resource files be processed with `rcc`. For embedding bigger resources, see qt5_add_big_resources.

## Arguments

You can set additional `OPTIONS` that should be added to the `rcc` calls. You can find possible options in the rcc documentation.

## Examples

      set(SOURCES main.cpp)
      qt5_add_resources(SOURCES example.qrc)
      add_executable(myapp ${SOURCES})